local BiuBiuPVPInfoMessage = BaseClass("BiuBiuPVPInfoMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self, speak, cost)
  base.OnCreate(self)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    local room = DataCenter.LWBiuBiuDataManager:GetRoom()
    room:UpdateMsg(t)
  end
end
BiuBiuPVPInfoMessage.OnCreate = OnCreate
BiuBiuPVPInfoMessage.HandleMessage = HandleMessage
return BiuBiuPVPInfoMessage
